{ ... }:

{
  virtualisation.oci-containers.containers = {
    haproxy = {
      image = "haproxy:latest";
      extraOptions = [
        "--restart=always"
        "--network=haproxy-net"
      ];
      volumes = [
        "${./haproxy.cfg}:/usr/local/etc/haproxy/haproxy.cfg:ro"
        "/ZFS/ZFS-primary/docker/haproxy/certs:/etc/ssl/certs:ro"
      ];
      ports = [
        "80:80"
        "443:443"
        "25565:25565"
      ];
      environment = {
        PUID = "600";
        PGID = "600";
      };
      dependsOn = [
        "nextcloud"
        "grafana"
        "foundryvtt"
        "glances"
        "mc-router"
      ];
    };
  };
}
